### A free/open-source library for quantitative finance

Enumerations | Functions
ql/time/weekday.hpp File Reference

Weekday enumeration. More...

`#include <ql/qldefines.hpp>`
`#include <ostream>`
Include dependency graph for weekday.hpp:

## Enumerations

enum | Weekday { Sunday = 1, Monday = 2, Tuesday = 3, Wednesday = 4, Thursday = 5, Friday = 6, Saturday = 7, Sun = 1, Mon = 2, Tue = 3, Wed = 4, Thu = 5, Fri = 6, Sat = 7 }

## Functions

std::ostream & | operator<< (std::ostream &, const long_weekday_holder &)
std::ostream & | operator<< (std::ostream &, const short_weekday_holder &)
std::ostream & | operator<< (std::ostream &, const shortest_weekday_holder &)
detail::long_weekday_holder | long_weekday (Weekday)
| output weekdays in long format
detail::short_weekday_holder | short_weekday (Weekday)
| output weekdays in short format (three letters)
detail::shortest_weekday_holder | shortest_weekday (Weekday)
| output weekdays in shortest format (two letters)

## Detailed Description

Weekday enumeration.